var updateDisponivel    = false;
var atualizar           = $('.conteudoAtualizar');

function check_updates() {

    var url = 'http://acrisioscunha.aws.af.cm/verifica-atualizacoes';

    var statusConectado = navigator.onLine ? 'online' : 'offline';

    if (statusConectado === 'online') {

        var l = new Linguas();
        var texto_atualizacao_1 = l.texto('atualizacao_1');
        var texto_atualizacao_2 = l.texto('atualizacao_2');
        var texto_atualizacao_3 = l.texto('atualizacao_3');
        var texto_atualizacao_4 = l.texto('atualizacao_4');

        var idioma = (navigator.language == 'pt-BR') ? 'pt-BR' : 'en-US';
        var data = { codigo : 1, versao : 1.2, idioma : idioma, idiomaPadrao : navigator.language }

        $.post(url, data, function(retorno){

            if(retorno) {
                updateDisponivel = true;
                atualizar.find('a').html(texto_atualizacao_1 + retorno.versao + texto_atualizacao_2 + retorno.data_versao  + texto_atualizacao_3 + retorno.texto + '. <br />' + texto_atualizacao_4 );
                atualizar.show();
            }

        }, 'json');

    }

}